#!/bin/bash

if [ $# != 3 ]; then
    echo "Usage $0 <target> <input_dir> <output_dir>"
    exit 1
fi

PYTHON=/home/konglupeng/anaconda3/bin/python
PYTHON=/home/konglupeng/anaconda3/envs/cpuonly/bin/python
BINROOT="$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)"
relax_script=$BINROOT/run_rosetta.sh
multi_run=$BINROOT/multiprocess.py
indir=$2
outdir=$(readlink -f $3)
target=$1
export PATH="/home/konglupeng/anaconda3/bin:$PATH"
mkdir -p $outdir

echo "Generate relax cmds--------------------------------------------------------"
rm -rf $outdir/relax.cmds
for item in $outdir/${target}*.pdb;
do
	echo bash $relax_script $item $outdir/relax_tmp/$target >> $outdir/relax.cmds
done
mkdir -p $outdir/relax_tmp/$target
$PYTHON $multi_run $outdir/relax.cmds 8

echo "prepare features-----------------------------------"
mkdir -p $outdir/relax_tmp2
$PYTHON $BINROOT/ProteinGCN/preprocess_pdb_to_pkl_simple.py \
    -datapath $outdir/relax_tmp/ \
    -savepath $outdir/relax_tmp2/ \
    -cpp_executable $BINROOT/ProteinGCN/preprocess/get_features \
    -groups20_filepath $BINROOT/ProteinGCN/preprocess/data/groups20.txt

echo "predited model lddt score---------------------------------------------------------"
echo $PYTHON $BINROOT/ProteinGCN/train2.py $target --pretrained $BINROOT/ProteinGCN/pretrained/pretrained.pth.tar --epochs 0 --train 0 --val0 --test 1 --protein_dir $outdir/relax_tmp/ --pkl_dir $outdir/relax_tmp2/ --save_dir $outdir/relax_tmp2/
$PYTHON $BINROOT/ProteinGCN/train2.py $target --pretrained $BINROOT/ProteinGCN/pretrained/pretrained.pth.tar --epochs 0 --train 0 --val 0 --test 1 --protein_dir $outdir/relax_tmp/ --pkl_dir $outdir/relax_tmp2/ --save_dir $outdir/relax_tmp2/ 

echo "Ranking decoy-----------------------------------------------------------"
$PYTHON $BINROOT/get_rank_score.py $target $outdir/relax_tmp2/${target}/test_results.csv $outdir/${target}_final.rank 
#cp $outdir/relax_tmp2/${target}/test_results.csv $outdir/
#rm -rf $outdir/*.silent $outdir/relax_tmp $outdir/relax_tmp2
echo "finish QA-----------------------------------------------------------"
