#!/bin/bash

RBINROOT="/mnt/data/konglupeng/softwares/rosetta3.9/main"
ROSETTA="/mnt/data/konglupeng/softwares/rosetta3.9/main"
ROSETTA_DB="$ROSETTA/database"
ROSETTA_BIN="$ROSETTA/source/bin"
if [ -L $0 ]
then
    BASE_DIR=`dirname $(readlink $0)`
else
    BASE_DIR=`dirname $0`
fi
basepath=$(cd $BASE_DIR; pwd)
echo $basepath


MODEL=$1
outdir=$2
mkdir -p $outdir
ROSETTA_LOG=$MODEL.relog
MODEL_DIR=`dirname $MODEL`
echo $MODEL_DIR
$ROSETTA_BIN/relax.static.linuxgccrelease -database $ROSETTA_DB -in:file:fullatom -out:file:silent_struct_type binary -nstruct 1 -relax:script $basepath/scripts/repack_min.script -in:file:s $MODEL -out:file:silent $MODEL$R.silent -relax:constrain_relax_to_start_coords -ignore_zero_occupancy F #>>${ROSETTA_LOG}_1
echo "step 2:"
echo $ROSETTA_BIN/extract_pdbs.static.linuxgccrelease -database $ROSETTA_DB -in:file:silent $MODEL$R.silent -in::file::tags $to_extract -out::prefix $MODEL_DIR -ignore_zero_occupancy F
to_extract=`grep ^SCORE $MODEL$R.silent | tail -n +2 | sort -n -k2 | head -n 1 | awk '{print $(NF)}'`
$ROSETTA_BIN/extract_pdbs.static.linuxgccrelease -database $ROSETTA_DB -in:file:silent $MODEL$R.silent -in::file::tags $to_extract -out::prefix $MODEL_DIR/ -ignore_zero_occupancy F #>>${ROSETTA_LOG}_2
mv $MODEL_DIR/$to_extract.pdb $MODEL.pdb
mv $MODEL.pdb $outdir
rm -rf $MODEL.silent
exit
ls $MODEL > $MODEL.pdb.list
cp $MODEL $MODEL.pdb
echo "HH"
$ROSETTA_BIN/minimize_with_cst.static.linuxgccrelease -in:file:l $MODEL.pdb.list -in:file:fullatom -ddg:out_pdb_prefix min -database $ROSETTA_DB -ddg:min_cst -ignore_zero_occupancy F #>>${ROSETTA_LOG}_3
rm -rf $MODEL.pdb.list
mv $MODEL.pdb.pdb $outdir
