#!/bin/bash

if [ $# != 2 ]; then
  echo "Usage $0 <fasta> <output dir>"
  exit 1
fi

set -e

Home_path=/home/konglupeng/FORCASP
HERE="$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)"
fasta=$1
outdir=$2

echo "Run MSA builder......"
mkdir -p $outdir
zetahit=$HERE/scripts/run_zetahit.sh

_filename=`basename $fasta`
target_name="${_filename%%.*}"


item_npz=$outdir/$target_name.npz
if [ -e ${item_npz} ]; then
    echo "${item_npz} finished.\n"
    exit 0
fi
a3mfile=$outdir/$target_name.a3m
if [ ! -e ${item_npz} ]; then
    $zetahit $fasta $outdir
fi

subdir=$(ls -l $outdir |awk '/^d/ {print $NF}')
for i in $subdir
do
    workdir=$outdir/$i
    MSA=$workdir/$target_name.a3m
    #$Home_path/third_party/ProFOLD_release/distance_prediction/run_inference.py -i $MSA  -o $workdir/$target_name.npz  -m  /public/dbu/konglupeng/software/SLPSPNG/distance_prediction/model
    $Home_path/third_party/ProFOLD_release/distance_prediction/run_inference.py -i $MSA  -o $workdir/$target_name.npz  -m  $Home_path/third_party/ProFOLD_release/distance_prediction/model
    $HERE/evaluate_contact.py $workdir/$target_name.npz > $workdir/$target_name.txt

done
#mkdir -p $workdir



echo "Evaluate contact precision......"
#$ZETA/ZetaAssess/src/eval_casp_contact.py \
$HERE/get_best_npz.py $target_name $outdir
