#!/bin/bash

ROOT="$(readlink -f "$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)"/..)"
cd $ROOT

build_hh-suite() {
  if [ ! -e $ROOT/third_party/hh-suite-3.3.0 ]; then
    unzip $ROOT/third_party/hh-suite-3.3.0.zip -d $ROOT/third_party
  fi
  mkdir -p $ROOT/third_party/hh-suite-3.3.0/build
  cd $ROOT/third_party/hh-suite-3.3.0/build
  cmake -DCMAKE_INSTALL_PREFIX=$ROOT/third_party/hhsuite ..
  make -j 8 && make install
}

build_hmmer() {
  if [ ! -e $ROOT/third_party/hmmer-3.3.2 ]; then
    cd $ROOT/third_party
    tar xzvf hmmer.tar.gz
  fi
  cd $ROOT/third_party/hmmer-3.3.2
  mkdir -p $ROOT/third_party/hmmer-3.3.2/build
  ./configure --prefix $ROOT/third_party/hmmer
  make -j 8 && make install
}

build_tool() {
  if build_$1; then
    echo "Build $1 success!"
  else
    echo "Build $1 failed!"
  fi
}

build_tool hh-suite
build_tool hmmer
