#!/bin/bash

if [[ "$#" -ne "2" ]]; then
  echo 'Usage:'
  echo '  search_bfd30.sh <fasta> <output dir>'
  exit 1
fi

set -eu

ZETAHIT_DIR="$(readlink -f "$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)"/..)"

set -x

$ZETAHIT_DIR/src/zetahit.py \
  -fasta $1 \
  -odir $2 \
  -use_bfd30 \
  -bfd30_db /mnt/data/konglupeng/Databases/BFD_metaclust_20190304/bfd_metaclust_clu_complete_id30_c90_final_seq.sorted_opt \
  -hhb_cpu 8

