#!/bin/bash

if [[ "$#" -ne "2" ]]; then
  echo 'Usage:'
  echo '  search_uniref30.sh <fasta> <output dir>'
  exit 1
fi

set -eu

ZETAHIT_DIR="$(readlink -f "$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)"/..)"

set -x

$ZETAHIT_DIR/src/zetahit.py \
  -fasta $1 \
  -odir $2 \
  -use_uniref30 \
  -uniref30_db /mnt/data/konglupeng/Databases/hhsuite/UniRef30_2020_06/UniRef30_2020_06 \
  -hhb_cpu 8
