#!/bin/bash

if [[ "$#" -ne "2" ]]; then
  echo 'Usage:'
  echo '  search_uniref90.sh <fasta> <output dir>'
  exit 1
fi

set -eu

ZETAHIT_DIR="$(readlink -f "$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)"/..)"

set -x

$ZETAHIT_DIR/src/zetahit.py \
  -fasta $1 \
  -odir $2 \
  -use_uniref90 \
  -uniref90_db /mnt/data/konglupeng/Databases/jackhmmer/UniRef90_2021_04/uniref90.fasta \
  -hmmer_cpu 8
