#!/bin/bash

if [[ "$#" -ne "2" ]]; then
  echo 'Usage:'
  echo '  simple_hhblits.sh <fasta> <output dir>'
  exit 1
fi

ZETAHIT_DIR="$(readlink -f "$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)"/..)"

_filename=`basename $1`
name="${_filename%%.*}"
outdir=$2

$ZETAHIT_DIR/third_party/hhsuite/bin/hhblits \
  -i $1 \
  -o $outdir/$name.hhr \
  -e 0.001 \
  -n 2 \
  -oa3m $outdir/$name.a3m \
  -cpu 8 \
  -d /mnt/data/konglupeng/Databases/hhsuite/UniRef30_2020_06/UniRef30_2020_06
