import os
import subprocess

from absl import logging

from common import ZETASUITE_DIR


def filter(ia3m, oa3m, cov):
    cmd = (
        f"{os.path.join(ZETASUITE_DIR, 'bin/filter')}"
        f" -a3m {ia3m}"
        f" -output {oa3m}"
        f" -coverage {cov}"
    )
    logging.info(f"Run filter: {cmd}")
    subprocess.run(cmd, shell=True)


def reorder(ia3m, oa3m, top_nums=2000):
    cmd = (
        f"{os.path.join(ZETASUITE_DIR, 'bin/reorder')}"
        f" -a3m {ia3m}"
        f" -output {oa3m}"
        f" -top_nums {top_nums}"
    )
    logging.info(f"Run reorder: {cmd}")
    subprocess.run(cmd, shell=True)
